%define name gstreamer
%define version 0.6.0
%define release 2mdk

%define major 0.6
%define majorminor 0.6
%define libname %mklibname %{name} %{major}
%define 	_glib2		2.0.1
%define 	_libxml2	2.4.0

Name: 		%name
Summary: 	GStreamer Streaming-media framework runtime
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		Sound
URL:            http://sourceforge.net/projects/gstreamer/
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	glib2-devel >= %_glib2
BuildRequires: 	libxml2-devel >= %_libxml2
BuildRequires:  libxslt-python
%ifarch %ix86 
BuildRequires: 	nasm => 0.90
%endif
BuildRequires: 	bison
BuildRequires: 	gtk-doc >= 0.7
BuildRequires: 	zlib-devel
BuildRequires:  popt-devel > 1.6
BuildRequires:  openjade
BuildRequires:  python
BuildRequires:  docbook-style-dsssl
BuildRequires:  docbook-dtd31-sgml
BuildRequires:  docbook-style-xsl >= 1.58.1
BuildRequires:  transfig
Prereq:		%libname = %version-%release
# for compatibility with the official packages
Provides:	gstreamer-tools = %version-%release

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.


%package -n %libname
Summary: Libraries for GStreamer streaming-media framework
Group: System/Libraries

%description -n %libname
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n %libname-devel
Summary: Libraries and include files for GStreamer streaming-media framework
Group: Development/C
Requires: %{libname} = %{version}-%release
Requires: libglib2-devel
Requires: libxml2-devel
Provides: libgstreamer-devel = %version-%release
Provides: libgstreamer%{majorminor}-devel = %version-%release

%description -n%libname-devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure2_5x  --enable-debug --disable-dependency-tracking \
  --with-cachedir=%{_var}/cache/gstreamer-%{majorminor} \
  --with-configdir=%{_sysconfdir}/gstreamer \
  --disable-tests --disable-examples \
  --enable-docs-build --with-html-dir=%_datadir/gtk-doc/html

make

%install  
rm -rf $RPM_BUILD_ROOT
# adding devhelp stuff here for now, need to integrate better
# when devhelp allows it
mkdir -p $RPM_BUILD_ROOT%{_datadir}/devhelp/specs
cp $RPM_BUILD_DIR/%{name}-%{version}/docs/devhelp/*.devhelp $RPM_BUILD_ROOT%{_datadir}/devhelp/specs

%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_var}/cache/gstreamer-%{majorminor}
#clean the files we don't want to install 
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}-%{majorminor}/*.a
rm -f %buildroot/%_libdir/*a 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null

%post -n %libname -p /sbin/ldconfig

%post -n %libname-devel
# adding devhelp links to work around different base not working
mkdir -p %{_datadir}/devhelp/books
ln -sf %{_datadir}/gtk-doc/html/gstreamer %{_datadir}/devhelp/books
ln -sf %{_datadir}/gtk-doc/html/gstreamer-libs %{_datadir}/devhelp/books

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS COPYING.LIB RELEASE
%dir %{_var}/cache/gstreamer-%{majorminor}
%dir %{_libdir}/gstreamer-%{majorminor}
%{_bindir}/gst-complete
%{_bindir}/gst-compprep
%{_bindir}/gst-inspect
%{_bindir}/gst-launch
%{_bindir}/gst-md5sum
%{_bindir}/gst-register
%{_bindir}/gst-feedback
%{_bindir}/gst-xmllaunch
%{_libdir}/gstreamer-%{majorminor}/libgstautoplugcache*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstautoplugger*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstbasicomega*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstoptscheduler.so*
%{_libdir}/gstreamer-%{majorminor}/libgstoptomega*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstbasicwingo*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstoptwingoscheduler*.so
%{_libdir}/gstreamer-%{majorminor}/libgstelements*.so*
%{_libdir}/gstreamer-%{majorminor}/libgsttypes*.so*
%{_libdir}/gstreamer-%{majorminor}/libgststaticautoplug*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstbytestream*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstgetbits*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstputbits*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstspider*.so*
%{_libdir}/gstreamer-%{majorminor}/libgstindexers.so
%{_mandir}/man1/gst-complete.*
%{_mandir}/man1/gst-compprep.*
%{_mandir}/man1/gst-feedback.*
%{_mandir}/man1/gst-inspect.*
%{_mandir}/man1/gst-launch.*
%{_mandir}/man1/gst-md5sum.*
%{_mandir}/man1/gst-register.*
%{_mandir}/man1/gst-xmllaunch.*

%files -n %libname 
%defattr(-, root, root)
%{_libdir}/libgstreamer-%{majorminor}.so.*
%{_libdir}/libgstcontrol-%{majorminor}.so.*

%files -n %libname-devel
%defattr(-, root, root)
%doc DEVEL DOCBUILDING REQUIREMENTS ChangeLog TODO
%dir %{_includedir}/%{name}-%{majorminor}
%dir %{_includedir}/%{name}-%{majorminor}/gst
%{_includedir}/%{name}-%{majorminor}/gst/*.h
%dir %{_includedir}/%{name}-%{majorminor}/gst/control
%{_includedir}/%{name}-%{majorminor}/gst/control/*.h
%dir %{_includedir}/%{name}-%{majorminor}/gst/bytestream
%{_includedir}/%{name}-%{majorminor}/gst/bytestream/bytestream.h
%dir %{_includedir}/%{name}-%{majorminor}/gst/getbits
%{_includedir}/%{name}-%{majorminor}/gst/getbits/getbits.h
%dir %{_includedir}/%{name}-%{majorminor}/gst/putbits
%{_includedir}/%{name}-%{majorminor}/gst/putbits/putbits.h
# %{_libdir}/libgstreamer.a
%{_libdir}/libgstreamer-%{majorminor}.so
%{_libdir}/libgstcontrol-%{majorminor}.so
%{_libdir}/pkgconfig/gstreamer-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-control-%{majorminor}.pc
## we specify the API docs as regular files since %docs doesn't fail when
#  files aren't found anymore for RPM >= 4
#  we list all of the files we really need to trap incomplete doc builds
#  then we catch the rest with *, you can safely ignore the errors from this
## gstreamer API
%dir %{_datadir}/gtk-doc/html/%{name}-%{majorminor}
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/autopluggers.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/book1.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/element-types.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstautoplugfactory.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstautoplug.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstbin.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstclock.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstelement.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gst-index.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstobject.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstpad.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstpipeline.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstpluginfeature.html
# %{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-cothreads.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstbuffer.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstbufferpool.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstcaps.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstcpu.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstdata.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstevent.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gst.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstinfo.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstparse.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstplugin.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstprops.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gststaticautoplug.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gststaticautoplugrender.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gsttype.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer-gstutils.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstreamer.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstschedulerfactory.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstscheduler.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstthread.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gsttypefactory.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/gstxml.html
%{_datadir}/gtk-doc/html/%{name}-%{majorminor}/index.sgml
## gstreamer-libs API
%dir %{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/book1.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/%{name}-libs-gstcolorspace.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/%{name}-libs-gstgetbits.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/%{name}-libs.html
%{_datadir}/gtk-doc/html/%{name}-libs-%{majorminor}/index.sgml
## this catches all of the rest of the docs we might have forgotten
%{_datadir}/gtk-doc/html/*
%{_datadir}/devhelp/specs/%{name}-%{majorminor}.devhelp
%{_datadir}/devhelp/specs/%{name}-libs-%{majorminor}.devhelp


%changelog
* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-2mdk
- fix major

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- add gstreamer-control-0.6.pc
- new version

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- mklibname macro
- new major
- new version

* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- sync file list
- new major version
- drop workarounds for older rpm
- relax buildrequires for docbook-style-xsl
- drop obsoleted patch
- new version

* Wed Dec 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-3mdk
- only buildrequire nasm on the x86 architecture

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- change cache dir from /var/lib/cache to /var/cache

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- provide gstreamer-tools for compatibility with offical package
- update the patch
- update file list 
- new version 

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-3mdk
- clean installed files we don't ship
- add missing gst-feedback man page

* Wed Nov  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-2mdk
- prereq libgstreamer to make the scripts work

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- sync with official spec file
- patch xsl stylesheet to fix generation of the manual
- add libgstcontrol library to libgstreamer package
- fix file listing
- drop the patch
- remove the buildconflict with libxslt-proc
- lower optimization to fix program
- new version

* Tue Jul  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-3mdk
- buildconflicts libxslt-proc
- some more docs
- update buildrequires for doc generation

* Sun Jul  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- some spec cleanup
- loosen dependancy on main package in lib package to ease upgrades

* Sat Jul  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- disable parallel build
- fix python location
- sync with official spec file
- 0.4.0

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-3mdk
- fix major version to please rpmlint
- spec file fixes

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-2mdk
- oops forget changelog
- libification
- mode macros

* Tue Jun 25 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.3.4-1mdk
- initial Mandrake build
- modified other spec
